is this compatible with protools 8.5.0

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • yes